<html>
<head>
    <title><?php echo e(__('message.invoice')); ?></title>
    <style>
        body {
            color: #555;
            margin: 0;
            padding: 0;
            font-family: "DejaVu Sans", sans-serif;
        }
        .invoice-container {
            max-width: 800px;
            margin: auto;
            padding: 20px;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            background-color: #ffffff;
            font-size:13px;
        }
        .myheader {
           display: flex;
            justify-content: space-between;
            align-items: center;
            border-bottom: 2px solid #ddd;
            padding-bottom: 10px;
            margin-bottom: 20px;
        }
        .mydetails h2 {
            margin: 0;

            font-size: 28px;
            color: #333;
        }
        .mydetails .invoice-details {
            vertical-align: text-top;
            text-align: right;

        }

        .addresspickupdetails  {
            text-align: left;
        }
        .addressdetails  {
            text-align: right;
        }
        .mydetails {
            width: 100%;
            margin-bottom: 20px;
        }
        .details, .items, .totals {
            width: 100%;
            margin-bottom: 0px;
        }
        .details td, .items td, .items th, .totals td {
            padding: 8px;
            border: 1px solid #ddd;
        }
        .details td {
            width: 50%;
        }
        .items th {
            background-color: #f0f0f0;
        }
        .totals {
            text-align: right;
        }
        .totalsfinal {
            text-align: right;
            font-weight: bold;
            font-size: 20px;
        }
        .totals td:last-child {
            font-weight: bold;
        }
        .note {
            margin-top: 20px;
            font-size: 12px;
            color: #777;
        }
        .address {
            text-align: center;
            font-size: 12px;
            color: #555;
        }
    </style>
</head>
<body>
    <div class="invoice-container">
        <table class="mydetails">
            <tr>
                <td class="invoice-details">
                    <strong><?php echo e(__('message.invoice_no')); ?></strong> <?php echo e(optional($ride_detail)->id); ?><br>
                    <strong><?php echo e(__('message.title_date',['title' => __('message.invoice')])); ?></strong> <?php echo e($today); ?><br>
                     <strong><?php echo e(__('message.title_date',['title' => __('message.booked')])); ?></strong> <?php echo e(date('d/m/Y', strtotime($ride_detail->created_at))); ?>

                </td>
            </tr>
        </table>
         <table class="mydetails">
            <tr>
                <td class="addresspickupdetails">
                    <strong><?php echo e(__('message.pickup_address')); ?></strong><br>
                    <?php echo e($ride_detail->start_address); ?>

                </td>
                <td class="addressdetails">
                    <strong><?php echo e(__('message.drop_address')); ?></strong><br>
                    <?php echo e($ride_detail->end_address); ?>

                </td>
            </tr>
        </table>

        <table class="details">
            <thead>
                <tr>
                    <th style="text-align: left"><?php echo e(__('message.detail_form_title',['form' => __('message.driver')])); ?></th>
                    <th style="text-align: left"><?php echo e(__('message.detail_form_title',['form' => __('message.rider')])); ?></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <?php echo e(__('message.name')); ?>: <?php echo e($ride_detail->driver->display_name); ?><br>
                        <?php echo e(__('message.contact')); ?>: <?php echo e($ride_detail->driver->contact_number); ?>

                    </td>
                    <td>
                        <?php echo e(__('message.name')); ?>: <?php echo e($ride_detail->rider->display_name); ?><br>
                        <?php echo e(__('message.contact')); ?>: <?php echo e($ride_detail->rider->contact_number); ?>

                    </td>
                </tr>
            </tbody>
        </table>

        <table class="mydetails">
            <tr>
                <td class="addresspickupdetails"><strong><?php echo e(__('message.payment_via').''.':'); ?></strong> <?php echo e(ucfirst(optional($ride_detail->payment)->payment_type)); ?></td>
                <td class="addressdetails"><strong><?php echo e(__('message.title_date',['title' => __('message.payment')]).''.':'); ?></strong> <?php echo e(date('d/m/Y', strtotime($ride_detail->payment->created_at))); ?></td>
            </tr>
        </table>

        <table class="items">
            <thead>
                <tr>
                    <th class="addresspickupdetails"><?php echo e(__('message.description')); ?></th>
                    <th class="addressdetails"><?php echo e(__('message.detail_form_title',['form' => ''])); ?></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><?php echo e(__('message.total_distance')); ?></td>
                    <td class="addressdetails"><?php echo e($ride_detail->distance); ?> <?php echo e($ride_detail->distance_unit); ?></td>
                </tr>
                <tr>
                    <td><?php echo e(__('message.total_duration')); ?></td>
                    <td class="addressdetails"><?php echo e($ride_detail->duration); ?> <?php echo e(__('message.min')); ?></td>
                </tr>
        
                <?php
                    $distance_unit = $ride_detail->distance_unit;
                    $extra_charges_values = [];
                    $extra_charges_texts = [];
                    $sub_total = $ride_detail->subtotal;
                    $grand_total = $sub_total;

                    // Calculate extra charges
                    if (is_array($ride_detail->extra_charges)) {
                        foreach ($ride_detail->extra_charges as $item) {
                            if (isset($item['value_type'])) {
                                $formatted_value = ($item['value_type'] == 'percentage') ? $item['value'] . '%' : getPriceFormat($item['value']);
                                if ($item['value_type'] == 'percentage') {
                                    $data_value = $sub_total * $item['value'] / 100;
                                    $key = str_replace('_', ' ', ucfirst($item['key']));
                                    $extra_charges_texts[] = $key . ' (' . $formatted_value . ')';
                                    $extra_charges_values[] = getPriceFormat($data_value);
                                    $grand_total += $data_value;
                                } else {
                                    $key = str_replace('_', ' ', ucfirst($item['key']));
                                    $extra_charges_texts[] = $key . ' (' . $formatted_value . ')';
                                    $extra_charges_values[] = $formatted_value;
                                    $grand_total += $item['value'];
                                }
                            }
                        }
                    }

                    // Add extra charges amount
                    if (isset($ride_detail->extra_charges_amount)) {
                        $grand_total += $ride_detail->extra_charges_amount;
                    }

                    // Add tips
                    //$grand_total += $ride_detail->tips;
                ?>
        
                <?php if($ride_detail->minimum_fare == ($ride_detail->subtotal - $ride_detail->extra_charges_amount)): ?>
                    <tr>
                        <td><?php echo e(__('message.minimum_fare')); ?></td>
                        <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->minimum_fare)); ?></td>
                    </tr>
                <?php else: ?>
                    <tr>
                        <td><?php echo e(__('message.base_fare')); ?></td>
                        <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->base_fare)); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e(__('message.distance')); ?></td>
                        <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->per_distance_charge)); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e(__('message.duration')); ?></td>
                        <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->per_minute_drive_charge)); ?></td>
                    </tr>
                    <tr>
                        <td><?php echo e(__('message.wait_time')); ?></td>
                        <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->per_minute_waiting_charge)); ?></td>
                    </tr>
                <?php endif; ?>
        
                <tr>
                    <td><?php echo e(__('message.extra_charges')); ?></td>
                    <td class="addressdetails">
                        <?php if(count($ride_detail->extra_charges) > 0): ?>
                            <?php
                                $extra_charges = collect($ride_detail->extra_charges)->pluck('key')->implode(', ');
                            ?>
                            <?php echo e($extra_charges); ?>

                        <?php else: ?>
                        <?php echo e(getPriceFormat($ride_detail->extra_charges_amount)); ?>

                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><?php echo e(__('message.coupon_discount')); ?></td>
                    <td class="addressdetails"><?php echo e(getPriceFormat($ride_detail->coupon_discount)); ?></td>
                </tr>
        
                <tr>
                    <td><?php echo e(__('message.fixed_charges')); ?></td>
                    <td class="addressdetails"><?php echo e(getPriceFormat($fixed_amount ?? '')); ?></td>
                </tr>
            </tbody>
        </table>
        
        <table class="totals">
            <tr>
                <td><?php echo e(__('message.sub_total')); ?></td>
                <td class="addressdetails">
                    <?php echo e(getPriceFormat($grand_total)); ?></td>
            </tr>
            <?php if($ride_detail->extra_charges): ?>
                <?php $__currentLoopData = $extra_charges_texts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $text): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($text); ?></td>
                        <td class="addressdetails"><?php echo e($extra_charges_values[$index]); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            <tr class="totalsfinal">
                <td><?php echo e(__('message.total')); ?></td>
                <td>
                    <?php
                        //$total_amount = ($ride_detail->tips ?? 0) + optional($ride_detail->payment)->total_amount;
                        $total_amount = optional($ride_detail->payment)->total_amount;
                    ?>
                    <?php echo e(getPriceFormat($total_amount)); ?>

                </td>
            </tr>
        </table>        
        <p class="note"><?php echo e(__('message.note_pdf_report')); ?></p>
    </div>
</body>
</html>
<?php /**PATH D:\live\texiapp_backend\resources\views/riderequest/invoice.blade.php ENDPATH**/ ?>