<?php if (isset($component)) { $__componentOriginalc6e081c8432fe1dd6b4e43af4871c93447ee9b23 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\MasterLayout::class, []); ?>
<?php $component->withName('master-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<div class="container-fluid">
    <div class="row">            
        <div class="col-lg-12">
            <div class="card card-block card-stretch">
                <div class="card-body p-0">
                    <div class="d-flex justify-content-between align-items-center p-3">
                        <h5 class="font-weight-bold"><?php echo e($pageTitle); ?></h5>
                        <a href="<?php echo e(route('rider.index')); ?>" class="float-right btn btn-sm btn-primary"><i class="fa fa-angle-double-left"></i> <?php echo e(__('message.back')); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs" role="tablist">
                        <li class="nav-item">
                            <a href="<?php echo e(route('rider.show',$data->id)); ?>" class="nav-link <?php echo e($type == 'detail' ? 'active': ''); ?>"> <?php echo e(__('message.detail_form_title',['form'=>__('message.rider')])); ?> </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('rider.show', [ $data->id, 'type' => 'wallet_history'])); ?>" class="nav-link <?php echo e($type == 'wallet_history' ? 'active': ''); ?>"> <?php echo e(__('message.wallethistory')); ?> </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('rider.show', [ $data->id, 'type' => 'ride_request'])); ?>" class="nav-link <?php echo e($type == 'ride_request' ? 'active': ''); ?>"> <?php echo e(__('message.riderequest')); ?> </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('rider.show', [ $data->id, 'type' => 'withdraw_request'])); ?>" class="nav-link <?php echo e($type == 'withdraw_request' ? 'active': ''); ?>"> <?php echo e(__('message.withdrawrequest')); ?> </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <?php if( $type == 'detail' ): ?>
            <div class="col-lg-4">
                <div class="card card-block p-card">
                    <div class="profile-box">
                        <div class="profile-card rounded">
                            <img src="<?php echo e($profileImage); ?>" alt="01.jpg" class="avatar-100 rounded d-block mx-auto img-fluid mb-3">
                            <h3 class="font-600 text-white text-center mb-0"><?php echo e($data->display_name); ?></h3>
                            <p class="text-white text-center mb-5">

                                <?php
                                    $status = 'warning';
                                    switch ($data->status) {
                                        case 'active':
                                            $status = 'success';
                                            break;
                                        case 'inactive':
                                            $status = 'danger';
                                            break;
                                        case 'banned':
                                            $status = 'dark';
                                            break;
                                    }
                                ?>

                                <span class="text-capitalize badge bg-<?php echo e($status); ?> "><?php echo e($data->status); ?></span>
                            </p>
                            <?php
                                $rating = $data->rating ?? 0;
                                $fullStars = floor($rating);
                                $halfStar = $rating - $fullStars;
                            ?>
                            <?php if($rating > 0): ?>
                                <div class="d-flex justify-content-center mt-0 <?php echo e($data->rating ? 'mb-5' : ''); ?>">
                                    <div class="d-inline-flex rounded">
                                        <?php for($i = 0; $i < $fullStars; $i++): ?>
                                            <i class="fas fa-star mt-1" style="color: yellow"></i>
                                        <?php endfor; ?>
                                        <?php if($halfStar > 0): ?>
                                            <i class="fas fa-star-half mt-1" style="color: yellow"></i>
                                        <?php endif; ?>
                                        <span class="ml-2 font-600 text-white text-center mb-0"><?php echo e("(" .number_format($rating, 1) . ")"); ?></span>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="pro-content rounded">
                            <div class="d-flex align-items-center mb-3">
                                <div class="p-icon mr-3"> 
                                    <i class="fas fa-envelope"></i>
                                </div>
                                <p class="mb-0 eml"><?php echo e($data->email); ?></p>
                            </div>
                            <div class="d-flex align-items-center mb-3">
                                <div class="p-icon mr-3"> 
                                    <i class="fas fa-phone-alt"></i>
                                </div>
                                <p class="mb-0"><?php echo e($data->contact_number); ?></p>
                            </div>
                            <div class="d-flex align-items-center mb-3">
                                <div class="p-icon mr-3">
                                    <i class="fa fa-code-branch"></i>
                                </div>
                                <p class="mb-0"><?php echo e(__('message.app_version') . ' : ' . (auth()->user()->hasRole('admin') ? ($data->app_version ? : '0') : '0')); ?></p>
                            </div>
                            <div class="d-flex align-items-center mb-3">
                                <div class="p-icon mr-3"> 
                                    
                                    <?php if( $data->gender == 'female' ): ?>
                                        <i class="fas fa-female"></i>
                                    <?php elseif( $data->gender == 'other' ): ?>
                                        <i class="fas fa-transgender"></i>
                                    <?php else: ?>
                                        <i class="fas fa-male"></i>
                                    <?php endif; ?>
                                </div>
                                <p class="mb-0"><?php echo e($data->gender); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-8">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-header d-flex justify-content-between align-items-center">
                                        <h4 class="card-title mb-0"><?php echo e(__('message.detail_form_title', [ 'form' => __('message.bank') ])); ?></h4>
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.bank_name')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->bank_name ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.bank_code')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->bank_code ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.account_holder_name')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->account_holder_name ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.account_number')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->account_number ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.bank_address')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->bank_address ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.routing_number')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->routing_number ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.bank_iban')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->bank_iban ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-6 mb-3">
                                                <h5><?php echo e(__('message.bank_swift')); ?></h5>
                                                <p class="mb-0"><?php echo e(optional($data->userBankAccount)->bank_swift ?? '-'); ?></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php if( $type == 'wallet_history' ): ?>
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-block">
                            <div class="card-body">
                                <div class="top-block-one">                                
                                    <p class="mb-1"><?php echo e(__('message.wallet_balance')); ?></p>
                                    <p></p>
                                    <h5><?php echo e(getPriceFormat(optional($data->userWallet)->total_amount) ?? 0); ?> </h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <div class="card card-block">
                    <div class="card-header d-flex justify-content-between">
                        <div class="header-title">
                            <h4 class="card-title mb-0"><?php echo e(__('message.add_form_title', [ 'form' => __('message.wallet') ])); ?></h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <?php echo Form::open(['route' => ['savewallet.fund', $data->id], 'method' => 'post' ]); ?>

                            <div class="row">
                                <div class="form-group col-md-4">
                                    <?php echo e(Form::label('type', __('message.type').' <span class="text-danger">*</span>',[ 'class' => 'form-control-label' ], false)); ?>

                                    <?php echo e(Form::select('type', [ 'credit' => __('message.credit'), 'debit' => __('message.debit') ], old('type'), [ 'class' => 'form-control select2js', 'required'])); ?>

                                </div>

                                <div class="form-group col-md-8">
                                    <?php echo e(Form::label('transaction_type', __('message.transaction_type').' <span class="text-danger">*</span>',[ 'class' => 'form-control-label' ], false)); ?>

                                    <?php echo e(Form::select('transaction_type',[], old('transaction_type'), [ 'class' => 'form-control select2js', 'required'])); ?>

                                </div>

                                <div class="form-group col-md-12">
                                    <?php echo e(Form::label('amount', __('message.amount').' <span class="text-danger">*</span>', ['class' => 'form-control-label' ], false )); ?>

                                    <?php echo e(Form::number('amount', old('amount'), [ 'class' => 'form-control', 'min' => 0, 'step' => 'any', 'required', 'placeholder' => __('message.amount') ])); ?>

                                </div>

                                <div class="form-group col-md-12">
                                    <?php echo e(Form::label('description', __('message.description'), ['class' => 'form-control-label'])); ?>

                                    <?php echo e(Form::textarea('description', null, [ 'class' => 'form-control textarea', 'rows' => 2, 'placeholder' => __('message.description') ])); ?>

                                </div>
                            </div>
                            <hr>
                            <?php echo e(Form::submit( __('message.save'), ['class'=>'btn btn-md btn-primary float-right' ])); ?>

                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
            <div class="col-md-8">
                <div class="card card-block">
                    <div class="card-header d-flex justify-content-between">
                        <div class="header-title">
                            <h4 class="card-title mb-0"><?php echo e(__('message.list_form_title', [ 'form' => __('message.wallethistory') ])); ?></h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <?php echo e($dataTable->table(['class' => 'table  w-100'],false)); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php if( $type == 'ride_request' ): ?>
            <div class="col-md-12">
                <div class="card card-block">
                    <div class="card-header d-flex justify-content-between">
                        <div class="header-title">
                            <h4 class="card-title mb-0"><?php echo e(__('message.list_form_title', [ 'form' => __('message.riderequest') ])); ?></h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <?php echo e($dataTable->table(['class' => 'table  w-100'],false)); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
        <?php if( $type == 'withdraw_request' ): ?>
            <div class="col-md-12">
                <div class="card card-block">
                    <div class="card-header d-flex justify-content-between">
                        <div class="header-title">
                            <h4 class="card-title mb-0"><?php echo e(__('message.list_form_title', [ 'form' => __('message.riderequest') ])); ?></h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <?php echo e($dataTable->table(['class' => 'table  w-100'],false)); ?>

                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div> 
</div>
<?php $__env->startSection('bottom_script'); ?>
    <?php echo e(in_array($type,['ride_request','wallet_history','withdraw_request']) ? $dataTable->scripts() : ''); ?>

    <script type="text/javascript">
        (function($) {
            "use strict";
            $(document).ready(function() {
                
                var type = $("#type :selected").val();
                transactionTypeList(type);
                $(document).on('change', '#type' , function (){
                    var type = $("#type :selected").val();
                    $('#transaction_type').empty();
                    transactionTypeList(type);
                })
            })

            function transactionTypeList(type) {
                var route = "<?php echo e(route('ajax-list',['type' => 'transaction_type','user_type' => 'rider', 'type_val' =>''])); ?>"+type;
                route = route.replaceAll('amp;','');
                
                $.ajax({
                    url: route,
                    success: function(result){
                        $('#transaction_type').select2({
                            width : '100%',
                            placeholder: "<?php echo e(__('message.select_name',['select' => __('message.transaction_type')])); ?>",
                            data: result.results
                        });
                        if(type != null ){
                            $("#transaction_type").val(type).trigger('change');
                        }
                    }
                })
            }
        })(jQuery);
    </script>
<?php $__env->stopSection(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc6e081c8432fe1dd6b4e43af4871c93447ee9b23)): ?>
<?php $component = $__componentOriginalc6e081c8432fe1dd6b4e43af4871c93447ee9b23; ?>
<?php unset($__componentOriginalc6e081c8432fe1dd6b4e43af4871c93447ee9b23); ?>
<?php endif; ?><?php /**PATH D:\Taxi realease\texiapp_backend\resources\views/rider/show.blade.php ENDPATH**/ ?>